Subject: Re: [PATCH V2 09/10] selftests: vm: Add the uapi headers include variable

From: Alistair Popple <[email-masked]>
Date: Thu, 20 Jan 2022 12:18:39 +1100

Thanks for fixing this! It has been annoying me for a while but I never found
the time to investigate properly. Feel free to add:

Tested-by: Alistair Popple <[email-masked]>

On Wednesday, 19 January 2022 9:15:30 PM AEDT Muhammad Usama Anjum wrote:
> Out of tree build of this test fails if relative path of the output
> directory is specified. Add the KHDR_INCLUDES to correctly reach the
> headers.
> 
> Acked-by: Paolo Bonzini <[email-masked]>
> Signed-off-by: Muhammad Usama Anjum <[email-masked]>
> ---
> Changes in V2:
>         Revert the excessive cleanup which was breaking the individual
> test build.
> ---
>  tools/testing/selftests/vm/Makefile | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
> 
> diff --git a/tools/testing/selftests/vm/Makefile b/tools/testing/selftests/vm/Makefile
> index 7d100a7dc462..96714d2d49dc 100644
> --- a/tools/testing/selftests/vm/Makefile
> +++ b/tools/testing/selftests/vm/Makefile
> @@ -23,7 +23,7 @@ MACHINE ?= $(shell echo $(uname_M) | sed -e 's/aarch64.*/arm64/' -e 's/ppc64.*/p
>  # LDLIBS.
>  MAKEFLAGS += --no-builtin-rules
>  
> -CFLAGS = -Wall -I ../../../../usr/include $(EXTRA_CFLAGS)
> +CFLAGS = -Wall -I ../../../../usr/include $(EXTRA_CFLAGS) $(KHDR_INCLUDES)
>  LDLIBS = -lrt -lpthread
>  TEST_GEN_FILES = compaction_test
>  TEST_GEN_FILES += gup_test
>